#!/bin/sh

BASE=$(cd `dirname $0`; pwd)
INSTALL_PACK="libpcap-1.8.1"
DATE=`date "+%Y-%m-%d %H:%M:%S"`
INSTALL_LOG="${BASE}/install_libpcap.log"

function check_error
{
    if [ $? -ne 0 ];then
        echo "${DATE}:step error."
        exit
    else
        echo "${DATE}:step success."
    fi
}

echo "${DATE}:start intall."
echo "${DATE}:tar package."
tar -zxf ${INSTALL_PACK}.tar.gz >> ${INSTALL_LOG}
echo "${DATE}:configure."
cd ${INSTALL_PACK}
./configure >> ${INSTALL_LOG}
check_error
echo "${DATE}:make."
make >> ${INSTALL_LOG}
check_error
echo "${DATE}:make install."
make install >> ${INSTALL_LOG}
check_error
echo "${DATE}:add profile."
echo "export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/usr/local/lib">>/etc/profile
check_error
echo "${DATE}:source profile."
source /etc/profile
check_error
cd ..
rm -rf ${INSTALL_PACK}
echo "${DATE}:intall complete."
